﻿// 2011, Omer Faruk ZORLU
// http://www.omerfarukzorlu.com
using System.Configuration;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;

namespace OMR.CommerceSite.DataAccess
{
    public abstract class BaseBLL
    {
        private string _connectionString = null;
        private SqlConnection _dbConnection = null;

        protected BaseBLL(string connectionString)
        {
            _connectionString = connectionString;
        }

        public SqlConnection DbConnection
        {
            get
            {
                if (_dbConnection == null)
                    _dbConnection = new SqlConnection(_connectionString);

                return _dbConnection;
            }
        }

    }
}