﻿// 2011, Omer Faruk ZORLU
// http://www.omerfarukzorlu.com
using System.Collections.Generic;

namespace OMR.TableDataSync.Core.Domain
{
    public class RowHash
    {
        public List<dynamic> PrimaryKeyValues { get; set; }

        public int Hash { get; set; }

        public TableHashTargets Target { get; set; }

        public RowHash()
        {
            PrimaryKeyValues = new List<dynamic>();
        }
    }

    public enum TableHashTargets : sbyte
    {
        NotComputed = 0,
        Equal = 1,
        WillBeInserted = 2,
        WillBeUpdated = 3,
        WillBeDeleted = 4
    }
}